<?php


use Illuminate\Support\Facades\Route;
use Mehrab\User\Http\Controllers\ManageTeamLeaderController;
use Mehrab\User\Http\Controllers\UserController;

//manage expert routes
Route::group(
    get_information_for_admin_panel_route_group()

    , function () {
    Route::get('team_leaders', [ManageTeamLeaderController::class, 'team_leaders'])->name('team_leaders.index');
    Route::get('team_leaders/regions/{user}', [ManageTeamLeaderController::class, 'team_leaders_regions'])->name('team_leaders.team_leaders_regions');
    Route::post('team_leaders/regions/{user}', [ManageTeamLeaderController::class, 'team_leaders_regions_sync'])->name('team_leaders.regions_sync');
    Route::get('team_leaders/services/{user}', [ManageTeamLeaderController::class, 'team_leaders_services'])->name('team_leaders.team_leaders_services');
    Route::post('team_leaders/services/{user}', [ManageTeamLeaderController::class, 'team_leaders_services_sync'])->name('team_leaders.team_leaders_services_sync');
    Route::get('team_leaders/show/{user}', [ManageTeamLeaderController::class, 'team_leaders_show'])->name('team_leaders.show');



}
);

